Upstream information

CVE-2014-9488 at MITRE

Description

The is_utf8_well_formed function in GNU less before 475 allows remote attackers to have unspecified impact via malformed UTF-8 characters, which triggers an out-of-bounds read.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 10
Vector AV:N/AC:L/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
CVSS v3 Scores
  SUSE
Base Score 2.5
Vector CVSS:3.1/AV:L/AC:H/PR:N/UI:R/S:U/C:N/I:N/A:L
Access Vector Local
Access Complexity High
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact Low
CVSSv3 Version 3.1
SUSE Bugzilla entry: 921719 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Basesystem 15
SUSE Linux Enterprise Module for Basesystem 15 SP1
SUSE Linux Enterprise Module for Basesystem 15 SP2
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • less >= 530-1.6
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • less >= 458-7.3.3
Patchnames:
SUSE-SLE-SERVER-12-SP5-2020-2687
openSUSE Leap 15.0
  • less >= 530-lp150.1.4
Patchnames:
openSUSE Leap 15.0 GA less-530-lp150.1.4
openSUSE Tumbleweed
  • less >= 481-1.5
Patchnames:
openSUSE Tumbleweed GA less-481-1.5


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 less Released
Magnum Orchestration less In progress
SLES for SAP Applications less Analysis
SLES-LTSS-SAP less Released
SUSE CaaS Platform 3.0 less In progress
SUSE Container as a Service Platform 2.0 less In progress
SUSE Enterprise Storage 5 less Released
SUSE Linux Enterprise Desktop 11 SP3 less Affected
SUSE Linux Enterprise Desktop 12 less Affected
SUSE Linux Enterprise Desktop 12 SP3 less In progress
SUSE Linux Enterprise Desktop 12 SP4 less In progress
SUSE Linux Enterprise High Performance Computing 12 SP4 less In progress
SUSE Linux Enterprise High Performance Computing 12 SP5 less Released
SUSE Linux Enterprise Module for Basesystem 15 less Not affected
SUSE Linux Enterprise Point of Service 11 SP3 less In progress
SUSE Linux Enterprise Point of Service Image Server 12 SP2 less Released
SUSE Linux Enterprise Server 11 SP3 less Affected
SUSE Linux Enterprise Server 11 SP3 LTSS less Analysis
SUSE Linux Enterprise Server 11 SP3 for VMware less Affected
SUSE Linux Enterprise Server 11 SP4 LTSS less In progress
SUSE Linux Enterprise Server 12 less Affected
SUSE Linux Enterprise Server 12 LTSS less Analysis
SUSE Linux Enterprise Server 12 SP1 LTSS less Analysis
SUSE Linux Enterprise Server 12 SP2 ESPOS less Released
SUSE Linux Enterprise Server 12 SP2 LTSS less Released
SUSE Linux Enterprise Server 12 SP3 less In progress
SUSE Linux Enterprise Server 12 SP3 ESPOS less Released
SUSE Linux Enterprise Server 12 SP3 LTSS less Released
SUSE Linux Enterprise Server 12 SP4 less In progress
SUSE Linux Enterprise Server 12 SP4 ESPOS less Released
SUSE Linux Enterprise Server 12 SP4 LTSS less Released
SUSE Linux Enterprise Server 12 SP5 less Released
SUSE Linux Enterprise Server BCL 12 SP2 less Released
SUSE Linux Enterprise Server BCL 12 SP3 less Released
SUSE Linux Enterprise Server for SAP Applications 12 less Analysis
SUSE Linux Enterprise Server for SAP Applications 12 SP2 less Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 less Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 less Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 less Released
SUSE OpenStack Cloud 7 less Released
SUSE OpenStack Cloud 8 less Released
SUSE OpenStack Cloud 9 less Released
SUSE OpenStack Cloud Crowbar 8 less Released
SUSE OpenStack Cloud Crowbar 9 less Released